#if !defined(AFX_PHONELISTDLG_H__F8027760_4C08_4028_AC53_B32DCFC1585A__INCLUDED_)
#define AFX_PHONELISTDLG_H__F8027760_4C08_4028_AC53_B32DCFC1585A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PhoneListDlg.h : header file
//

class CUdpSocket;

/////////////////////////////////////////////////////////////////////////////
// CPhoneListDlg dialog

class CPhoneListDlg : public CDialog
{
// Construction
public:
	CPhoneListDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPhoneListDlg)
	enum { IDD = IDD_LIST_PHONES };
	CListCtrl	m_ctlPhones;
	//}}AFX_DATA

	CString m_strSelectedIP;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPhoneListDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPhoneListDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnDestroy();
	afx_msg void OnRefreshPhones();
	//}}AFX_MSG
#if _MSC_VER >= 1300
	afx_msg LRESULT OnUdpData(WPARAM wParam, LPARAM lParam);
#else
	afx_msg void OnUdpData(WPARAM wParam, LPARAM lParam);
#endif
	DECLARE_MESSAGE_MAP()

protected:
	void SendHello();
	void AddPhone(CString strIP, CString strMac, CString strType, CString strIPType, CString strProtocol, CString strNum, CString strLog, CString strBusy, CString strID);

protected:
	CUdpSocket m_udp;
	CUdpSocket m_udp_new;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PHONELISTDLG_H__F8027760_4C08_4028_AC53_B32DCFC1585A__INCLUDED_)
